View Issue Details

IDProjectCategoryView StatusLast Update
0027416mantisbtbugtrackerpublic2020-11-01 05:01
ReporterPozinux Assigned Todregad  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionno change required 
Product Version2.24.3 
Summary0027416: Internal error when using chrome connected to my gmail account
Description

When I use chrome (synchronised with my gmail account) and I try to open mantis menus "Report issue", "Change Log" and "Manage", I get Internal error.
I thing problems arrived when I decided to change my langage settings to french then went back to auto. I even then tried english but I get the same internal error.
When I reset preferences, language is "auto" (in my case french).

Then if i select "Report issue" for example, the menu will switch in english and I get the internal error. If I then click on My view menu, it refresh and display in french and it works.

I tried with Microsoft Edge -> no problems!
I tried with Chrome but connected to a guest profil -> no problems!
I tried with Chrome but with a private session -> no problem!
I restart my Chrome, reboot the mantis server -> Problem still there.

Additional Information

Seems to be the same issue as -> https://www.mantisbt.org/forums/viewtopic.php?t=26494

TagsNo tags attached.

Relationships

related to 0026974 resolvedatrol Required PHP json extension not documented and checked 

Activities

Pozinux

Pozinux

2020-10-18 19:43

reporter  

2020-10-19_01h42_04.png (31,184 bytes)   
2020-10-19_01h42_04.png (31,184 bytes)   
2020-10-19_01h41_42.png (18,239 bytes)   
2020-10-19_01h41_42.png (18,239 bytes)   
dregad

dregad

2020-10-19 16:40

developer   ~0064565

INTERNAL APPLICATION ERROR means some PHP error occured, you may also want to review your system's error log. This may also help:

  1. temporarily configure your system as follows:
    $g_show_detailed_errors = ON;

WARNING - SECURITY RISK: the 'show_detailed_errors' config can cause MantisBT to display sensitive information about your system. We recommend to restrict its activation to a Test environment, only for as long as necessary. If possible, do not turn it ON globally, instead limit it for specific user(s) using the Manage Configuration page.

  1. Reproduce the error

If the output does not help you resolving the issue and you need further assistance,

  1. save the output of the error screen, preferably as an HTML page (not a screenshot !)
  2. be careful to remove/mask any confidential information if needed
  3. upload the results here
Pozinux

Pozinux

2020-10-19 17:27

reporter   ~0064568

Thanks so much for your quick feedback.
I didn't know I could activate this option to see more informations on internal error.
This pointed me to the right direction. php-json was missing. I just installed it and it works perfectly now.

Thanks!

atrol

atrol

2020-10-20 04:16

developer   ~0064571

@dregad to get rid of such issues, maybe time to get out 2.25.0 where I implemented the check for this, see 0026974

Issue History

Date Modified Username Field Change
2020-10-18 19:43 Pozinux New Issue
2020-10-18 19:43 Pozinux File Added: 2020-10-19_01h42_04.png
2020-10-18 19:43 Pozinux File Added: 2020-10-19_01h41_42.png
2020-10-19 16:40 dregad Status new => feedback
2020-10-19 16:40 dregad Note Added: 0064565
2020-10-19 17:27 Pozinux Note Added: 0064568
2020-10-19 17:27 Pozinux Status feedback => new
2020-10-19 18:26 dregad Assigned To => dregad
2020-10-19 18:26 dregad Status new => resolved
2020-10-19 18:26 dregad Resolution open => no change required
2020-10-20 04:15 atrol Relationship added related to 0026974
2020-10-20 04:16 atrol Note Added: 0064571
2020-11-01 05:01 atrol Status resolved => closed